Name:           freewheeling
Version:        0.6.6
Release:        1%{dist}
Summary:        freewheeling is a audio live looper
URL:            https://github.com/free-wheeling/freewheeling
License:        GNU General Public License v2.0
Source0:        https://github.com/free-wheeling/%{name}/archive/v%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  nettle-devel
BuildRequires:  freetype-devel
BuildRequires:  SDL_gfx-devel
BuildRequires:  SDL_ttf-devel
BuildRequires:  liblo-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libxml2-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libvorbis-devel

%description
Freewheeling provides a highly configurable, intuitive, and fluid user interface
for instrumentalists to capture audio loops in real-time.

%prep
%setup -q -n %{name}-%{version}

%build
autoreconf -ifv
%configure

%check

make check

%install
# install all files into the BuildRoot
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%make_install
#rm /usr/lib/debug/usr/bin/fweelin-0.6.6-1.fc30.x86_64.debug

%clean
# clean up the hard disk after build
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/fweelin

%{_datadir}/fweelin/*


%changelog
* Sun May  3 2020 Brancomat <branco@kinotto> - 0.6.6-1%{dist}
- version 0.6.6
